## acpica-unix 20051216

=== compiler/Makefile ===
 

PROG=	iasl
SRCS=	aslcompilerparse.c aslcompilerlex.c aslanalyze.c aslcodegen.c \
	aslcompile.c aslerror.c aslfiles.c asllength.c \
	asllisting.c aslload.c asllookup.c aslmain.c aslmap.c aslopcodes.c \
	asloperands.c aslresource.c aslrestype1.c aslrestype2.c \
	asltree.c aslutils.c asltransform.c aslfold.c aslstubs.c aslopt.c \
	../common/getopt.c \
	../utilities/utalloc.c \
	../utilities/utcache.c \
	../utilities/utcopy.c \
	../utilities/utdebug.c \
	../utilities/utdelete.c \
	../utilities/utglobal.c \
	../utilities/utobject.c \
	../utilities/utmisc.c \
	../utilities/utmath.c \
	../utilities/utmutex.c \
	../utilities/utresrc.c \
	../utilities/utstate.c \
	../namespace/nsaccess.c \
	../namespace/nsalloc.c \
	../namespace/nsdump.c \
	../namespace/nsnames.c \
	../namespace/nsobject.c \
	../namespace/nsparse.c \
	../namespace/nssearch.c \
	../namespace/nsutils.c \
	../namespace/nswalk.c \
	../namespace/nsxfobj.c \
	../interpreter/parser/psargs.c \
	../interpreter/parser/psloop.c \
	../interpreter/parser/psopcode.c \
	../interpreter/parser/psparse.c \
	../interpreter/parser/psscope.c \
	../interpreter/parser/pstree.c \
	../interpreter/parser/psutils.c \
	../interpreter/parser/pswalk.c \
	../interpreter/dispatcher/dswscope.c \
	../interpreter/dispatcher/dswstate.c \
	../interpreter/dispatcher/dsfield.c \
	../interpreter/dispatcher/dsobject.c \
	../interpreter/dispatcher/dsopcode.c \
	../interpreter/dispatcher/dsutils.c \
	../interpreter/dispatcher/dswexec.c \
	../interpreter/dispatcher/dswload.c \
	../interpreter/executer/exconvrt.c \
	../interpreter/executer/excreate.c \
	../interpreter/executer/exdump.c \
	../interpreter/executer/exmisc.c \
	../interpreter/executer/exmutex.c \
	../interpreter/executer/exnames.c \
	../interpreter/executer/exoparg1.c \
	../interpreter/executer/exoparg2.c \
	../interpreter/executer/exoparg3.c \
	../interpreter/executer/exoparg6.c \
	../interpreter/executer/exprep.c \
	../interpreter/executer/exregion.c \
	../interpreter/executer/exresnte.c \
	../interpreter/executer/exresolv.c \
	../interpreter/executer/exresop.c \
	../interpreter/executer/exstore.c \
	../interpreter/executer/exstoren.c \
	../interpreter/executer/exstorob.c \
	../interpreter/executer/exsystem.c \
	../interpreter/executer/exutils.c \
	../common/adisasm.c \
	../debugger/dbfileio.c \
	../disassembler/dmbuffer.c \
	../disassembler/dmnames.c \
	../disassembler/dmopcode.c \
	../disassembler/dmobject.c \
	../disassembler/dmresrc.c \
	../disassembler/dmresrcl.c \
	../disassembler/dmresrcs.c \
	../disassembler/dmutils.c \
	../disassembler/dmwalk.c \
	../tables/tbinstal.c \
	../tables/tbutils.c \
	../osunixxf.c

NOMAN=	YES
CFLAGS+= -Wall -O2 -Wstrict-prototypes -D_LINUX -DACPI_ASL_COMPILER -I../include 

#YACC=	yacc
YACC=	bison
YFLAGS+= -v -d
LEX=	flex
LFLAGS+= -i

#.if $(YACC) == "bison"
YFLAGS+= -y -pAslCompiler
#.else
#CFLAGS+= -D_USE_BERKELEY_YACC
#.endif

aslmain : $(patsubst %.c,%.o, $(SRCS))
	$(CC) $(LDFLAGS) $(patsubst %.c,%.o, $(SRCS)) \
		$(LOADLIBES) $(LDLIBS) -o iasl

CLEANFILES= y.output y.tab.c y.tab.h aslcompiler.y.h \
	aslcompilerparse.c aslcompilerlex.c iasl

aslcompilerparse.c: aslcompiler.y
	${YACC} ${YFLAGS} aslcompiler.y
	cp y.tab.c aslcompilerparse.c
	cp y.tab.h aslcompiler.y.h

aslcompilerlex.c: aslcompiler.l
	${LEX} ${LFLAGS} -PAslCompiler -oaslcompilerlex.c aslcompiler.l

clean : 
	rm -f $(CLEANFILES) $(patsubst %.c,%.o, $(SRCS))

=== tools/acpibin/Makefile ===
 
PROG=	acpibin
SRCS=	abcompare.c abmain.c \
	../../utilities/utalloc.c \
	../../utilities/utcache.c \
	../../utilities/utdebug.c \
	../../utilities/utglobal.c \
	../../utilities/utmath.c \
	../../utilities/utmisc.c \
	../../utilities/utmutex.c \
	../../utilities/utstate.c \
	../../osunixxf.c \
    ../../common/getopt.c

CFLAGS+= -Wall -O2 -D_LINUX -DACPI_APPLICATION -Wstrict-prototypes -I../../include 


acpibin : $(patsubst %.c,%.o, $(SRCS))
	$(CC) $(LDFLAGS) $(patsubst %.c,%.o, $(SRCS)) -o $(PROG)

CLEANFILES= $(PROG)

clean : 
	rm -f $(CLEANFILES) $(patsubst %.c,%.o, $(SRCS))

=== tools/acpiexec/Makefile ===
PROG=	acpiexec
SRCS=	aeexec.c aemain.c \
	../../common/getopt.c \
	../../debugger/dbcmds.c \
	../../debugger/dbdisply.c \
	../../debugger/dbexec.c \
	../../debugger/dbfileio.c \
	../../debugger/dbhistry.c \
	../../debugger/dbinput.c \
	../../debugger/dbstats.c \
	../../debugger/dbutils.c \
	../../debugger/dbxface.c \
	../../disassembler/dmbuffer.c \
	../../disassembler/dmnames.c \
	../../disassembler/dmobject.c \
	../../disassembler/dmopcode.c \
	../../disassembler/dmresrc.c \
	../../disassembler/dmresrcl.c \
	../../disassembler/dmresrcs.c \
	../../disassembler/dmutils.c \
	../../disassembler/dmwalk.c \
	../../events/evevent.c \
	../../events/evgpeblk.c \
	../../events/evgpe.c \
	../../events/evmisc.c \
	../../events/evregion.c \
	../../events/evrgnini.c \
	../../events/evsci.c \
	../../events/evxface.c \
	../../events/evxfevnt.c \
	../../events/evxfregn.c \
	../../hardware/hwacpi.c \
	../../hardware/hwgpe.c \
	../../hardware/hwregs.c \
	../../hardware/hwsleep.c \
	../../interpreter/dispatcher/dsfield.c \
	../../interpreter/dispatcher/dsinit.c \
	../../interpreter/dispatcher/dsmethod.c \
	../../interpreter/dispatcher/dsmthdat.c \
	../../interpreter/dispatcher/dsobject.c \
	../../interpreter/dispatcher/dsopcode.c \
	../../interpreter/dispatcher/dsutils.c \
	../../interpreter/dispatcher/dswexec.c \
	../../interpreter/dispatcher/dswload.c \
	../../interpreter/dispatcher/dswscope.c \
	../../interpreter/dispatcher/dswstate.c \
	../../interpreter/executer/exconfig.c \
	../../interpreter/executer/exconvrt.c \
	../../interpreter/executer/excreate.c \
	../../interpreter/executer/exdump.c \
	../../interpreter/executer/exfield.c \
	../../interpreter/executer/exfldio.c \
	../../interpreter/executer/exmisc.c \
	../../interpreter/executer/exmutex.c \
	../../interpreter/executer/exnames.c \
	../../interpreter/executer/exoparg1.c \
	../../interpreter/executer/exoparg2.c \
	../../interpreter/executer/exoparg3.c \
	../../interpreter/executer/exoparg6.c \
	../../interpreter/executer/exprep.c \
	../../interpreter/executer/exregion.c \
	../../interpreter/executer/exresnte.c \
	../../interpreter/executer/exresolv.c \
	../../interpreter/executer/exresop.c \
	../../interpreter/executer/exstore.c \
	../../interpreter/executer/exstoren.c \
	../../interpreter/executer/exstorob.c \
	../../interpreter/executer/exsystem.c \
	../../interpreter/executer/exutils.c \
	../../interpreter/parser/psargs.c \
	../../interpreter/parser/psloop.c \
	../../interpreter/parser/psopcode.c \
	../../interpreter/parser/psparse.c \
	../../interpreter/parser/psscope.c \
	../../interpreter/parser/pstree.c \
	../../interpreter/parser/psutils.c \
	../../interpreter/parser/pswalk.c \
	../../interpreter/parser/psxface.c \
	../../namespace/nsaccess.c \
	../../namespace/nsalloc.c \
	../../namespace/nsdump.c \
	../../namespace/nsdumpdv.c \
	../../namespace/nseval.c \
	../../namespace/nsinit.c \
	../../namespace/nsload.c \
	../../namespace/nsnames.c \
	../../namespace/nsobject.c \
	../../namespace/nsparse.c \
	../../namespace/nssearch.c \
	../../namespace/nsutils.c \
	../../namespace/nswalk.c \
	../../namespace/nsxfeval.c \
	../../namespace/nsxfname.c \
	../../namespace/nsxfobj.c \
	../../resources/rsaddr.c \
	../../resources/rscalc.c \
	../../resources/rscreate.c \
	../../resources/rsdump.c \
	../../resources/rsio.c \
	../../resources/rsinfo.c \
	../../resources/rsirq.c \
	../../resources/rslist.c \
	../../resources/rsmemory.c \
	../../resources/rsmisc.c \
	../../resources/rsutils.c \
	../../resources/rsxface.c \
	../../tables/tbconvrt.c \
	../../tables/tbgetall.c \
	../../tables/tbget.c \
	../../tables/tbinstal.c \
	../../tables/tbrsdt.c \
	../../tables/tbutils.c \
	../../tables/tbxface.c \
	../../tables/tbxfroot.c \
	../../utilities/utalloc.c \
	../../utilities/utcache.c \
	../../utilities/utcopy.c \
	../../utilities/utdebug.c \
	../../utilities/utdelete.c \
	../../utilities/uteval.c \
	../../utilities/utglobal.c \
	../../utilities/utinit.c \
	../../utilities/utmath.c \
	../../utilities/utmisc.c \
	../../utilities/utmutex.c \
	../../utilities/utobject.c \
	../../utilities/utresrc.c \
	../../utilities/utstate.c \
	../../utilities/utxface.c \
	../../osunixxf.c


CFLAGS+= -Wall -g -D_LINUX -DNDEBUG -D_CONSOLE -DACPI_EXEC_APP -D_MULTI_THREADED -Wstrict-prototypes -I../../include 


acpiexec : $(patsubst %.c,%.o, $(SRCS))
	$(CC) $(LDFLAGS) $(patsubst %.c,%.o, $(SRCS)) -o $(PROG)

CLEANFILES= $(PROG)

clean : 
	rm -f $(CLEANFILES) $(patsubst %.c,%.o, $(SRCS))

=== tools/acpisrc/Makefile ===
 

PROG=	acpisrc
SRCS=	ascase.c asconvrt.c asfile.c asmain.c asremove.c asutils.c osunixdir.c \
        ../../common/getopt.c

CFLAGS+= -Wall -O2 -D_LINUX -DACPI_APPLICATION -Wstrict-prototypes -I../../include 


aslmain : $(patsubst %.c,%.o, $(SRCS))
	$(CC) $(LDFLAGS) $(patsubst %.c,%.o, $(SRCS)) -o $(PROG)

CLEANFILES= $(PROG)

clean : 
	rm -f $(CLEANFILES) $(patsubst %.c,%.o, $(SRCS))

## acpica-unix 20060608

=== compiler/Makefile ===
--- 
+++ 
@@ -65,7 +65,13 @@
 	../interpreter/executer/exstorob.c \
 	../interpreter/executer/exsystem.c \
 	../interpreter/executer/exutils.c \
+	../common/adfile.c \
 	../common/adisasm.c \
+	../common/adwalk.c \
+	../common/dmrestag.c \
+	../common/dmtable.c \
+	../common/dmtbinfo.c \
+	../common/dmtbdump.c \
 	../debugger/dbfileio.c \
 	../disassembler/dmbuffer.c \
 	../disassembler/dmnames.c \

=== tools/acpiexec/Makefile ===
--- 
+++ 
@@ -126,6 +126,7 @@
 	../../utilities/utobject.c \
 	../../utilities/utresrc.c \
 	../../utilities/utstate.c \
+	../../utilities/uttrack.c \
 	../../utilities/utxface.c \
 	../../osunixxf.c

## acpica-unix 20061109

=== compiler/Makefile ===
--- 
+++ 
@@ -82,8 +82,10 @@
 	../disassembler/dmresrcs.c \
 	../disassembler/dmutils.c \
 	../disassembler/dmwalk.c \
+	../tables/tbfadt.c \
 	../tables/tbinstal.c \
 	../tables/tbutils.c \
+	../tables/tbxface.c \
 	../osunixxf.c
 
 NOMAN=	YES

=== tools/acpiexec/Makefile ===
--- 
+++ 
@@ -104,11 +104,9 @@
 	../../resources/rsmisc.c \
 	../../resources/rsutils.c \
 	../../resources/rsxface.c \
-	../../tables/tbconvrt.c \
-	../../tables/tbgetall.c \
-	../../tables/tbget.c \
+	../../tables/tbfadt.c \
+	../../tables/tbfind.c \
 	../../tables/tbinstal.c \
-	../../tables/tbrsdt.c \
 	../../tables/tbutils.c \
 	../../tables/tbxface.c \
 	../../tables/tbxfroot.c \

=== tools/acpisrc/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
  
 
 PROG=	acpisrc
-SRCS=	ascase.c asconvrt.c asfile.c asmain.c asremove.c asutils.c osunixdir.c \
-        ../../common/getopt.c
+SRCS=	ascase.c asconvrt.c asfile.c asmain.c asremove.c astable.c \
+        asutils.c osunixdir.c ../../common/getopt.c
 
 CFLAGS+= -Wall -O2 -D_LINUX -DACPI_APPLICATION -Wstrict-prototypes -I../../include

=== tools/acpixtract/Makefile ===
 

PROG=	acpixtract
SRCS=	acpixtract.c

CFLAGS+= -Wall -O2 -D_LINUX -DACPI_APPLICATION -Wstrict-prototypes -I../../include 


acpixtract : $(patsubst %.c,%.o, $(SRCS))
	$(CC) $(LDFLAGS) $(patsubst %.c,%.o, $(SRCS)) -o $(PROG)

CLEANFILES= $(PROG)

clean : 
	rm -f $(CLEANFILES) $(patsubst %.c,%.o, $(SRCS))

## acpica-unix 20081204

=== compiler/Makefile ===
 

PROG=	iasl
SRCS=	aslcompilerparse.c aslcompilerlex.c aslanalyze.c aslcodegen.c \
	aslcompile.c aslerror.c aslfiles.c asllength.c \
	asllisting.c aslload.c asllookup.c aslmain.c aslmap.c aslopcodes.c \
	asloperands.c aslresource.c aslrestype1.c aslrestype2.c aslstartup.c \
	asltree.c aslutils.c asltransform.c aslfold.c aslstubs.c aslopt.c \
	../common/getopt.c \
	../utilities/utalloc.c \
	../utilities/utcache.c \
	../utilities/utcopy.c \
	../utilities/utdebug.c \
	../utilities/utdelete.c \
	../utilities/utglobal.c \
	../utilities/utinit.c \
	../utilities/utobject.c \
	../utilities/utmisc.c \
	../utilities/utmath.c \
	../utilities/utmutex.c \
	../utilities/utresrc.c \
	../utilities/utstate.c \
	../utilities/utxface.c \
	../namespace/nsaccess.c \
	../namespace/nsalloc.c \
	../namespace/nsdump.c \
	../namespace/nsnames.c \
	../namespace/nsobject.c \
	../namespace/nsparse.c \
	../namespace/nssearch.c \
	../namespace/nsutils.c \
	../namespace/nswalk.c \
	../namespace/nsxfobj.c \
	../parser/psargs.c \
	../parser/psloop.c \
	../parser/psopcode.c \
	../parser/psparse.c \
	../parser/psscope.c \
	../parser/pstree.c \
	../parser/psutils.c \
	../parser/pswalk.c \
	../dispatcher/dswscope.c \
	../dispatcher/dswstate.c \
	../dispatcher/dsfield.c \
	../dispatcher/dsobject.c \
	../dispatcher/dsopcode.c \
	../dispatcher/dsutils.c \
	../dispatcher/dswexec.c \
	../dispatcher/dswload.c \
	../executer/exconvrt.c \
	../executer/excreate.c \
	../executer/exdump.c \
	../executer/exmisc.c \
	../executer/exmutex.c \
	../executer/exnames.c \
	../executer/exoparg1.c \
	../executer/exoparg2.c \
	../executer/exoparg3.c \
	../executer/exoparg6.c \
	../executer/exprep.c \
	../executer/exregion.c \
	../executer/exresnte.c \
	../executer/exresolv.c \
	../executer/exresop.c \
	../executer/exstore.c \
	../executer/exstoren.c \
	../executer/exstorob.c \
	../executer/exsystem.c \
	../executer/exutils.c \
	../common/adfile.c \
	../common/adisasm.c \
	../common/adwalk.c \
	../common/dmrestag.c \
	../common/dmtable.c \
	../common/dmtbinfo.c \
	../common/dmtbdump.c \
	../debugger/dbfileio.c \
	../disassembler/dmbuffer.c \
	../disassembler/dmnames.c \
	../disassembler/dmopcode.c \
	../disassembler/dmobject.c \
	../disassembler/dmresrc.c \
	../disassembler/dmresrcl.c \
	../disassembler/dmresrcs.c \
	../disassembler/dmutils.c \
	../disassembler/dmwalk.c \
	../tables/tbfadt.c \
	../tables/tbinstal.c \
	../tables/tbutils.c \
	../tables/tbxface.c \
	../osunixxf.c

NOMAN=	YES
CFLAGS+= -Wall -O2 -Wstrict-prototypes -D_LINUX -DACPI_ASL_COMPILER -I../include 

#YACC=	yacc
YACC=	bison
YFLAGS+= -v -d
LEX=	flex
LFLAGS+= -i

#.if $(YACC) == "bison"
YFLAGS+= -y -pAslCompiler
#.else
#CFLAGS+= -D_USE_BERKELEY_YACC
#.endif

LDFLAGS=-lpthread -lrt

aslmain : $(patsubst %.c,%.o, $(SRCS))
	$(CC) $(LDFLAGS) $(patsubst %.c,%.o, $(SRCS)) \
		$(LOADLIBES) $(LDLIBS) -o iasl

CLEANFILES= y.output y.tab.c y.tab.h aslcompiler.y.h \
	aslcompilerparse.c aslcompilerlex.c iasl

aslcompilerparse.c: aslcompiler.y
	${YACC} ${YFLAGS} aslcompiler.y
	cp y.tab.c aslcompilerparse.c
	cp y.tab.h aslcompiler.y.h

aslcompilerlex.c: aslcompiler.l
	${LEX} ${LFLAGS} -PAslCompiler -oaslcompilerlex.c aslcompiler.l

clean : 
	rm -f $(CLEANFILES) $(patsubst %.c,%.o, $(SRCS))

=== tools/acpiexec/Makefile ===
--- 
+++ 
@@ -33,49 +33,50 @@
 	../../hardware/hwgpe.c \
 	../../hardware/hwregs.c \
 	../../hardware/hwsleep.c \
-	../../interpreter/dispatcher/dsfield.c \
-	../../interpreter/dispatcher/dsinit.c \
-	../../interpreter/dispatcher/dsmethod.c \
-	../../interpreter/dispatcher/dsmthdat.c \
-	../../interpreter/dispatcher/dsobject.c \
-	../../interpreter/dispatcher/dsopcode.c \
-	../../interpreter/dispatcher/dsutils.c \
-	../../interpreter/dispatcher/dswexec.c \
-	../../interpreter/dispatcher/dswload.c \
-	../../interpreter/dispatcher/dswscope.c \
-	../../interpreter/dispatcher/dswstate.c \
-	../../interpreter/executer/exconfig.c \
-	../../interpreter/executer/exconvrt.c \
-	../../interpreter/executer/excreate.c \
-	../../interpreter/executer/exdump.c \
-	../../interpreter/executer/exfield.c \
-	../../interpreter/executer/exfldio.c \
-	../../interpreter/executer/exmisc.c \
-	../../interpreter/executer/exmutex.c \
-	../../interpreter/executer/exnames.c \
-	../../interpreter/executer/exoparg1.c \
-	../../interpreter/executer/exoparg2.c \
-	../../interpreter/executer/exoparg3.c \
-	../../interpreter/executer/exoparg6.c \
-	../../interpreter/executer/exprep.c \
-	../../interpreter/executer/exregion.c \
-	../../interpreter/executer/exresnte.c \
-	../../interpreter/executer/exresolv.c \
-	../../interpreter/executer/exresop.c \
-	../../interpreter/executer/exstore.c \
-	../../interpreter/executer/exstoren.c \
-	../../interpreter/executer/exstorob.c \
-	../../interpreter/executer/exsystem.c \
-	../../interpreter/executer/exutils.c \
-	../../interpreter/parser/psargs.c \
-	../../interpreter/parser/psloop.c \
-	../../interpreter/parser/psopcode.c \
-	../../interpreter/parser/psparse.c \
-	../../interpreter/parser/psscope.c \
-	../../interpreter/parser/pstree.c \
-	../../interpreter/parser/psutils.c \
-	../../interpreter/parser/pswalk.c \
-	../../interpreter/parser/psxface.c \
+	../../hardware/hwxface.c \
+	../../dispatcher/dsfield.c \
+	../../dispatcher/dsinit.c \
+	../../dispatcher/dsmethod.c \
+	../../dispatcher/dsmthdat.c \
+	../../dispatcher/dsobject.c \
+	../../dispatcher/dsopcode.c \
+	../../dispatcher/dsutils.c \
+	../../dispatcher/dswexec.c \
+	../../dispatcher/dswload.c \
+	../../dispatcher/dswscope.c \
+	../../dispatcher/dswstate.c \
+	../../executer/exconfig.c \
+	../../executer/exconvrt.c \
+	../../executer/excreate.c \
+	../../executer/exdump.c \
+	../../executer/exfield.c \
+	../../executer/exfldio.c \
+	../../executer/exmisc.c \
+	../../executer/exmutex.c \
+	../../executer/exnames.c \
+	../../executer/exoparg1.c \
+	../../executer/exoparg2.c \
+	../../executer/exoparg3.c \
+	../../executer/exoparg6.c \
+	../../executer/exprep.c \
+	../../executer/exregion.c \
+	../../executer/exresnte.c \
+	../../executer/exresolv.c \
+	../../executer/exresop.c \
+	../../executer/exstore.c \
+	../../executer/exstoren.c \
+	../../executer/exstorob.c \
+	../../executer/exsystem.c \
+	../../executer/exutils.c \
+	../../parser/psargs.c \
+	../../parser/psloop.c \
+	../../parser/psopcode.c \
+	../../parser/psparse.c \
+	../../parser/psscope.c \
+	../../parser/pstree.c \
+	../../parser/psutils.c \
+	../../parser/pswalk.c \
+	../../parser/psxface.c \
 	../../namespace/nsaccess.c \
 	../../namespace/nsalloc.c \
 	../../namespace/nsdump.c \
@@ -86,6 +87,7 @@
 	../../namespace/nsnames.c \
 	../../namespace/nsobject.c \
 	../../namespace/nsparse.c \
+	../../namespace/nspredef.c \
 	../../namespace/nssearch.c \
 	../../namespace/nsutils.c \
 	../../namespace/nswalk.c \
@@ -133,7 +135,7 @@
 
 
 acpiexec : $(patsubst %.c,%.o, $(SRCS))
-	$(CC) $(LDFLAGS) $(patsubst %.c,%.o, $(SRCS)) -o $(PROG)
+	$(CC) $(LDFLAGS) $(patsubst %.c,%.o, $(SRCS)) -lrt -lpthread -o $(PROG)
 
 CLEANFILES= $(PROG)

## acpica-unix 20090521

=== compiler/Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	../utilities/utdelete.c \
 	../utilities/utglobal.c \
 	../utilities/utinit.c \
+	../utilities/utlock.c \
 	../utilities/utobject.c \
 	../utilities/utmisc.c \
 	../utilities/utmath.c \
@@ -105,7 +106,7 @@
 #CFLAGS+= -D_USE_BERKELEY_YACC
 #.endif
 
-LDFLAGS=-lpthread -lrt
+LDLIBS = -lpthread -lrt
 
 aslmain : $(patsubst %.c,%.o, $(SRCS))
 	$(CC) $(LDFLAGS) $(patsubst %.c,%.o, $(SRCS)) \

=== tools/acpiexec/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG=	acpiexec
-SRCS=	aeexec.c aemain.c \
+SRCS=	aetables.c aehandlers.c aeexec.c aemain.c \
 	../../common/getopt.c \
 	../../debugger/dbcmds.c \
 	../../debugger/dbdisply.c \
@@ -33,6 +33,7 @@
 	../../hardware/hwgpe.c \
 	../../hardware/hwregs.c \
 	../../hardware/hwsleep.c \
+	../../hardware/hwvalid.c \
 	../../hardware/hwxface.c \
 	../../dispatcher/dsfield.c \
 	../../dispatcher/dsinit.c \
@@ -120,6 +121,7 @@
 	../../utilities/uteval.c \
 	../../utilities/utglobal.c \
 	../../utilities/utinit.c \
+	../../utilities/utlock.c \
 	../../utilities/utmath.c \
 	../../utilities/utmisc.c \
 	../../utilities/utmutex.c \

## acpica-unix 20100528

=== compiler/Makefile ===
--- 
+++ 
@@ -1,11 +1,43 @@
  
-
 PROG=	iasl
-SRCS=	aslcompilerparse.c aslcompilerlex.c aslanalyze.c aslcodegen.c \
-	aslcompile.c aslerror.c aslfiles.c asllength.c \
-	asllisting.c aslload.c asllookup.c aslmain.c aslmap.c aslopcodes.c \
-	asloperands.c aslresource.c aslrestype1.c aslrestype2.c aslstartup.c \
-	asltree.c aslutils.c asltransform.c aslfold.c aslstubs.c aslopt.c \
+SRCS=	\
+	aslcompilerparse.c \
+	aslcompilerlex.c \
+	aslanalyze.c \
+	aslcodegen.c \
+	aslcompile.c \
+	aslerror.c \
+	aslfiles.c \
+	aslfold.c \
+	asllength.c \
+	asllisting.c \
+	aslload.c \
+	asllookup.c \
+	aslmain.c \
+	aslmap.c \
+	aslopcodes.c \
+	asloperands.c \
+	aslopt.c \
+	aslpredef.c \
+	aslresource.c \
+	aslrestype1.c \
+	aslrestype1i.c \
+	aslrestype2.c \
+	aslrestype2d.c \
+	aslrestype2e.c \
+	aslrestype2q.c \
+	aslrestype2w.c \
+	aslstartup.c \
+	aslstubs.c \
+	asltransform.c \
+	asltree.c \
+	aslutils.c \
+	dtcompile.c \
+	dtfield.c \
+	dtio.c \
+	dtsubtable.c \
+	dttable.c \
+	dtutils.c \
 	../common/getopt.c \
 	../utilities/utalloc.c \
 	../utilities/utcache.c \
@@ -71,6 +103,7 @@
 	../common/adfile.c \
 	../common/adisasm.c \
 	../common/adwalk.c \
+	../common/dmextern.c \
 	../common/dmrestag.c \
 	../common/dmtable.c \
 	../common/dmtbinfo.c \
@@ -92,7 +125,7 @@
 	../osunixxf.c
 
 NOMAN=	YES
-CFLAGS+= -Wall -O2 -Wstrict-prototypes -D_LINUX -DACPI_ASL_COMPILER -I../include 
+CFLAGS+= -Wall -O2 -Wstrict-prototypes -D_LINUX -DACPI_ASL_COMPILER -I../include -I../compiler
 
 #YACC=	yacc
 YACC=	bison

=== tools/acpiexec/Makefile ===
--- 
+++ 
@@ -20,8 +20,10 @@
 	../../disassembler/dmutils.c \
 	../../disassembler/dmwalk.c \
 	../../events/evevent.c \
+	../../events/evgpe.c \
 	../../events/evgpeblk.c \
-	../../events/evgpe.c \
+	../../events/evgpeinit.c \
+	../../events/evgpeutil.c \
 	../../events/evmisc.c \
 	../../events/evregion.c \
 	../../events/evrgnini.c \
@@ -49,6 +51,7 @@
 	../../executer/exconfig.c \
 	../../executer/exconvrt.c \
 	../../executer/excreate.c \
+	../../executer/exdebug.c \
 	../../executer/exdump.c \
 	../../executer/exfield.c \
 	../../executer/exfldio.c \
@@ -89,6 +92,8 @@
 	../../namespace/nsobject.c \
 	../../namespace/nsparse.c \
 	../../namespace/nspredef.c \
+	../../namespace/nsrepair.c \
+	../../namespace/nsrepair2.c \
 	../../namespace/nssearch.c \
 	../../namespace/nsutils.c \
 	../../namespace/nswalk.c \
@@ -120,6 +125,7 @@
 	../../utilities/utdelete.c \
 	../../utilities/uteval.c \
 	../../utilities/utglobal.c \
+	../../utilities/utids.c \
 	../../utilities/utinit.c \
 	../../utilities/utlock.c \
 	../../utilities/utmath.c \

=== debian/changelog ===
acpica-unix (20100528-3ubuntu2) raring; urgency=low

  * Don't try to run the test case when DEB_BUILD_OPTIONS=nocheck is set,
    since otherwise the build still fails on a qemu-less cross-build.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Dec 2012 18:52:21 -0800

acpica-unix (20100528-3ubuntu1) raring; urgency=low

  * Add cross-compilation support.
  * Use dpkg-buildflags for hardening support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Dec 2012 06:37:10 +0000

acpica-unix (20100528-3build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2012 16:42:22 +0100

acpica-unix (20100528-3) unstable; urgency=low

  * Add ARM to the list of architectures not supporting unaligned access.
  * Fix FTBFS on hurd-i386.
  * Bump Standards-Version.

 -- Mattia Dongili <malattia@debian.org>  Fri, 02 Jul 2010 21:43:45 +0900

acpica-unix (20100528-2) unstable; urgency=low

  * Fix more unaligned access errors and a few bugs introduced with
    the previous BE porting patch. Now the whole tests/misc/grammar.asl
    compiles to the same result on BE and LE architectures.

 -- Mattia Dongili <malattia@debian.org>  Sun, 27 Jun 2010 16:25:17 +0900

acpica-unix (20100528-1) unstable; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Install a link instead of the full changes.txt file (Closes: #447397).
  * Fix support for compiling on BE architectures (Closes: #554586).
  * Fix segmentation fault on BE architectures (Closes: #539427).
  * Fix segmentation fault on Memory24 (again Closes: #506332).

 -- Mattia Dongili <malattia@debian.org>  Sat, 19 Jun 2010 22:40:18 +0900

acpica-unix (20090521-1) unstable; urgency=low

  * New upstream release (Closes: #500117).
  * Remove debian/patches/fix-bison-ftbfs, fixed upstream.
  * Refresh all patches against the current source.
  * Fix typo (sytem → system) in the package description, thanks to
    Wolfram Sang <wolfram@the-dreams.de> (Closes: #447386)
  * Fix segfaults caused by big_endian.patch, initial fix by "Ying-Chun Liu
    (PaulLiu)" <grandpaul@gmail.com> (Closes: #506332).
  * Incorporate changes from debian/patches/iasl_segfault.patch to
    debian/rules (Closes: #485369).
  * Update the DSDT used as as test case and restore the useful debian/rules
    target.
  * Bump debhelper compatibility and Standards version.
  * Move and update the homepage values in d/control and d/copyright.

 -- Mattia Dongili <malattia@debian.org>  Sun, 14 Jun 2009 22:21:49 +0900

acpica-unix (20061109-0.2) unstable; urgency=low

  * Non-maintainer upload with permission of the maintainer.
  * Apply patch to fix bison error (Thanks Matt Kraai) (Closes: 516057)
  * Change incorrect GPL pointer from GPL to GPL-2

 -- Mike O'Connor <stew@debian.org>  Wed, 18 Mar 2009 22:46:45 -0400

acpica-unix (20061109-0.1) unstable; urgency=low

  * Non-maintainer upload with permission of the maintainer.
  * New upstream version. (Closes: #407708)
  * Update the test file with the new compiler version.
  * Add support for big endian machines. (Closes: #406558)
  * Add support for architectures that do not support unaligned access.
    (Closes: #406034)

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 15 May 2007 03:56:24 +0200

acpica-unix (20060912-3.2) unstable; urgency=high

  * Non-maintainer upload with permission of the maintainer.
  * Re-Upload to unstable without further code changes.
    These changes make sure that the build succeds only on architectures
    where the binaries actually work for - FTBFS resulting from that are
    no regressions, but prevent us shiping broken packages.

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 20 Dec 2006 07:53:24 +0000

acpica-unix (20060912-3.1) experimental; urgency=high

  * Non-maintainer upload.
  * Add testcase to check whether it the build works at the end. This prevents
    segfaults and other issues in the delivered binaries. Closes: #401153

 -- Andreas Barth <aba@not.so.argh.org>  Thu, 14 Dec 2006 16:04:44 +0000

acpica-unix (20060912-3) unstable; urgency=high

  * Fix FTBFS on Debian/KFreeBsd. (Closes: #401617)
  * high urgency due to the RC bug being closed in -2.
 
 -- Mattia Dongili <malattia@debian.org>  Mon, 04 Dec 2006 23:40:28 +0100

acpica-unix (20060912-2) unstable; urgency=high

  * Fix segfault compiling qemu's DSDT on powerpc (Closes: #401153)
  * high urgency due to the RC bug being closed.
 
 -- Mattia Dongili <malattia@debian.org>  Mon, 04 Dec 2006 19:25:28 +0100

acpica-unix (20060912-1) unstable; urgency=low

  * New upstream release.
  * build-arch set to any as requested. (Closes: #389512)
 
 -- Mattia Dongili <malattia@debian.org>  Mon, 02 Oct 2006 19:00:06 +0200

acpica-unix (20060707-1) unstable; urgency=low

  * New upstream release.
 
 -- Mattia Dongili <malattia@debian.org>  Tue, 22 Aug 2006 19:29:39 +0200
 

acpica-unix (20060608-1) unstable; urgency=low

  * New upstream release.
 
 -- Mattia Dongili <malattia@debian.org>  Tue, 27 Jun 2006 21:23:46 +0200
 

acpica-unix (20060421-1) unstable; urgency=low

  * New upstream release.
  * Upstream included the GNU/kFreeBSD patch
  * Added kfreebsd-amd64 architecture (Closes: #361610)
 
 -- Mattia Dongili <malattia@debian.org>  Sat, 29 Apr 2006 09:16:49 +0200
 

acpica-unix (20060317-1) unstable; urgency=low

  * New upstream release.
 
 -- Mattia Dongili <malattia@debian.org>  Tue, 28 Mar 2006 19:08:16 +0200
 

acpica-unix (20060217-1) unstable; urgency=low

  * New upstream release.
 
 -- Mattia Dongili <malattia@debian.org>  Mon, 06 Mar 2006 19:53:22 +0100
 

acpica-unix (20060113-1) unstable; urgency=low

  * New upstream release.
 
 -- Mattia Dongili <malattia@debian.org>  Sun, 22 Jan 2006 10:54:55 +0100
 

acpica-unix (20051216-1) unstable; urgency=low

  * New upstream release.
 
 -- Mattia Dongili <malattia@debian.org>  Sun, 08 Jan 2006 16:25:12 +0100
 

acpica-unix (20051117-1) unstable; urgency=low



=== debian/control ===
Source: acpica-unix
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Mattia Dongili <malattia@debian.org>
Build-Depends: debhelper (>= 5.0.0), flex, bison
Standards-Version: 3.9.0
Vcs-Git: git://git.kamineko.org/acpica-unix.git
Vcs-Browser: http://git.kamineko.org/cgi-bin/gitweb.cgi?p=acpica-unix.git
Homepage: http://www.acpica.org

Package: iasl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Intel ASL compiler/decompiler
 iASL compiles ASL (ACPI Source Language) into AML (ACPI Machine
 Language). This AML is suitable for inclusion as a DSDT in system
 firmware. It also can disassemble AML, for debugging purposes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = $(shell dpkg-buildflags --get CFLAGS) -Wall -fno-strict-aliasing

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CC = $(DEB_HOST_GNU_TYPE)-gcc
else
	CC = gcc
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure
	dh_testdir

	# Commands to compile the package.
	cd compiler && \
	$(MAKE) CFLAGS="$(CFLAGS)" CC=$(CC) && \
	cd ..

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f debian/acpi-dsdt.test*

	# Commands to clean up after the build process.
	cd compiler && \
	$(MAKE) clean && \
	cd ..

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Commands to install the package into debian/iasl.
	install -d $(CURDIR)/debian/iasl/usr/bin
	install -m 755 compiler/iasl $(CURDIR)/debian/iasl/usr/bin
	install -d $(CURDIR)/debian/iasl/usr/share/man/man1
	gzip -9 < $(CURDIR)/debian/iasl.1 > $(CURDIR)/debian/iasl/usr/share/man/man1/iasl.1.gz

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# testcase
	$(CURDIR)/debian/iasl/usr/bin/iasl -tc -p debian/acpi-dsdt.test.hex debian/acpi-dsdt.dsl
	tail -n +14 debian/acpi-dsdt.test.hex > debian/acpi-dsdt.test.hex-1
	diff -u debian/acpi-dsdt.hex debian/acpi-dsdt.test.hex-1
endif

update-test-case: build
	mv debian/acpi-dsdt.hex debian/acpi-dsdt.hex.$(shell date +%s)
	compiler/iasl -tc -p debian/acpi-dsdt.hex debian/acpi-dsdt.dsl
	tail -n +14 debian/acpi-dsdt.hex > debian/acpi-dsdt.hex-1
	mv debian/acpi-dsdt.hex-1 debian/acpi-dsdt.hex
	rm debian/acpi-dsdt.aml

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -k changes.txt
	dh_installdocs
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
